/* 
	ctrlproxy: A modular IRC proxy
	admin: module for remote administration. Available commands:
	 * ADD <network> <server> [<port> [<nick> [<password>]]]
	 * CONNECT <network>
	 * DISCONNECT <network>
	 * SAVE
	
	(c) 2003 Jelmer Vernooij <jelmer@nl.linux.org>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#define _GNU_SOURCE
#include "ctrlproxy.h"
#include <string.h>

static gboolean handle_data(struct line *l) {
	if(l->direction == TO_SERVER && !strcasecmp(l->args[0], "PRIVMSG") && 
			!strcasecmp(l->args[1], "CTRLPROXY")) {
		/* FIXME: Handle l->args[2] */	
		return FALSE;
	}

	return TRUE;
}

void init_plugin(GModule *g, xmlNodePtr p) {
	GHook *h;
	char *t;
	h = g_hook_alloc(&data_hook);
	h->func = handle_data;
	g_hook_append(&data_hook, h);
}
